petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMMoabVecGetArray

Returns the writable direct access array to the local representation of MOAB tag data for the underlying vector using locally owned+ghosted range of entities

### Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode  DMMoabVecGetArray(DM dm,Vec vec,void* array)

Collective on MPI_Comm

### Input Parameter

dm - The DMMoab object being set
vec - The Vector whose underlying data is requested

### Output Parameter

array - The local data array

### Keywords

MOAB, distributed array

### See Also

DMMoabVecRestoreArray(), DMMoabVecGetArrayRead(), DMMoabVecRestoreArrayRead()

Level:intermediate
Location:src/dm/impls/moab/dmmbvec.cxx
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages